Package opennlp.tools.formats.ad

# Class ADPOSSampleStream

java.lang.Object
opennlp.tools.formats.ad.ADPOSSampleStream

All Implemented Interfaces:
  `AutoCloseable`, `opennlp.tools.util.ObjectStream<opennlp.tools.postag.POSSample>`

@Internal public class ADPOSSampleStream extends Object implements opennlp.tools.util.ObjectStream<opennlp.tools.postag.POSSample>
Note: Do not use this class, internal use only!

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ADPOSSampleStream(opennlp.tools.util.InputStreamFactory in, String charsetName, boolean expandME, boolean includeFeatures)`
  Creates a new `POSSample` stream from an `InputStreamFactory`
  `ADPOSSampleStream(opennlp.tools.util.ObjectStream<String> lineStream, boolean expandME, boolean includeFeatures)`
  Creates a new `ADPOSSampleStream` stream from a `opennlp.tools.util.ObjectStream<String>`, that could be a `PlainTextByLineStream` object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `opennlp.tools.postag.POSSample`
  `read()`
  `void`
  `reset()`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ADPOSSampleStream

    public ADPOSSampleStream(opennlp.tools.util.ObjectStream<String> lineStream, boolean expandME, boolean includeFeatures)
    Creates a new `ADPOSSampleStream` stream from a `opennlp.tools.util.ObjectStream<String>`, that could be a `PlainTextByLineStream` object.
    Parameters:
      `lineStream` - A `opennlp.tools.util.ObjectStream<String>` stream as input.
      `expandME` - If `true` will expand the multiword expressions, each word of the expression will have the POS Tag that was attributed to the expression plus the prefix `B-` or `I-` (CONLL convention).
      `includeFeatures` - If `true` will combine the POS Tag with the feature tags.

  - ### ADPOSSampleStream

    public ADPOSSampleStream(opennlp.tools.util.InputStreamFactory in, String charsetName, boolean expandME, boolean includeFeatures) throws IOException
    Creates a new `POSSample` stream from an `InputStreamFactory`
    Parameters:
      `in` - The `InputStreamFactory` for the corpus.
      `charsetName` - The `charset` to use for reading of the corpus.
      `expandME` - If `true` will expand the multiword expressions, each word of the expression will have the POS Tag that was attributed to the expression plus the prefix `B-` or `I-` (CONLL convention).
      `includeFeatures` - If `true` will combine the POS Tag with the feature tags.
    Throws:
      `IOException`

- ## Method Details

  - ### read

    public opennlp.tools.postag.POSSample read() throws IOException
    Specified by:
      `read` in interface `opennlp.tools.util.ObjectStream<opennlp.tools.postag.POSSample>`
    Throws:
      `IOException`

  - ### reset

    public void reset() throws IOException, UnsupportedOperationException
    Specified by:
      `reset` in interface `opennlp.tools.util.ObjectStream<opennlp.tools.postag.POSSample>`
    Throws:
      `IOException`
      `UnsupportedOperationException`

  - ### close

    public void close() throws IOException
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `opennlp.tools.util.ObjectStream<opennlp.tools.postag.POSSample>`
    Throws:
      `IOException`